Get offer details
curl --request GET \
--url https://{domain}/api/v2/network/offers/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{domain}/api/v2/network/offers/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{domain}/api/v2/network/offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"name": "OK",
"message": "<string>",
"info": {
"offer": {
"id": 123,
"external_id": "<string>",
"title": "<string>",
"status": 123,
"visible_type": 123,
"description": "<string>",
"internal_info": "<string>",
"advertiser_id": 123,
"default_goal_id": 123,
"currency": "<string>",
"image": "<string>",
"gt_included_ids": "<string>",
"gt_excluded_ids": "<string>",
"gt_filter_ids": "<string>",
"extended_targeting": "<string>",
"strict_targeting": 123,
"traffic_types": "<string>",
"deep_linking": 123,
"change_conversion_status_via_postback": 123,
"change_conversion_amount_via_postback": 123,
"hide_referer_url": 123,
"double_meta_redirect": 123,
"cookie_lifetime": 123,
"postback_lifetime": 123,
"postback_whitelist_ips": "<string>",
"postback_blacklist_ips": "<string>",
"impressions_url": "<string>",
"is_featured": 123,
"is_expires": 123,
"expiration_date": "<string>",
"timezone": "<string>",
"tracking_domain_id": 123,
"fail_traffic_forwarding": 123,
"offers_to_forward": 123,
"custom_trafficback_url": "<string>",
"ar": "<string>",
"cr": "<string>",
"epc": "<string>",
"aff_epc": "<string>",
"adv_cr": "<string>",
"cpc": "<string>",
"questions": "<string>",
"ask_approval_questions": 123,
"affiliates_count": 123,
"conversions": 123,
"traffic_distribution_method": 123,
"created": 123,
"updated": 123,
"tags": "<string>",
"tags_selected_list": [
{
"id": 123,
"title": "<string>"
}
],
"tags_selected": "<string>",
"traffic_types_selected": "<string>",
"advertiser": "<string>",
"tracking_domain": "<string>",
"goals": [
{
"goal_id": 123,
"goal_name": "<string>",
"tracking_method": 123,
"conversion_status": 123,
"multiple_conversions": 123,
"has_caps": 123,
"caps": "<string>",
"alias": "<string>",
"is_default": 123,
"revenue": "<string>",
"payout": "<string>",
"goalType": {
"id": 123,
"title": "<string>",
"color": "<string>",
"type": "<string>"
},
"goal_type": 123,
"goal_type_name": "<string>",
"payoutByCountry": [
{}
],
"payoutByTier": [
{}
]
}
],
"targeting": {
"geo": {
"allowed": "<string>",
"denied": "<string>"
},
"extended_targeting": [
{}
]
},
"links_count": 123,
"creatives_count": 123,
"visible_type_selected": [
{
"id": 123,
"title": "<string>",
"requests": [
{}
],
"availability": "<string>"
}
],
"creatives": [
{
"id": 123,
"title": "<string>",
"description": "<string>",
"type": 123,
"image": "<string>",
"image_width": 123,
"image_height": 123,
"image_size": 123,
"offer_url_id": 123,
"count_impressions": 123,
"html_code": "<string>",
"plain_text": "<string>",
"xml_feed_url": "<string>",
"xml_feed_url_tag": "<string>",
"status": 123,
"offer_id": 123,
"created": 123,
"updated": 123,
"type_selected": "<string>"
}
],
"custom-params": [
{}
],
"links": [
{
"id": 123,
"title": "<string>",
"type": 123,
"url": "<string>",
"preview": "<string>",
"visible_to_all_affiliates": 123,
"visible_to_specific_affiliates_only": "<string>",
"geo_allowed": "<string>",
"geo_denied": "<string>",
"rules": [
[
[
"<string>"
]
]
],
"percent": 123,
"status": 123,
"offer_id": 123,
"created": 123,
"updated": 123,
"type_selected": "<string>"
}
],
"traffic_types_denied_selected": "<string>",
"traffic_types_denied": "<string>",
"categories": [
{
"id": 123,
"title": "<string>"
}
],
"availability": {
"visible_type": 123,
"visible_type_selected": [
{}
],
"affiliates_count": 123
},
"revenue": [
{}
],
"payout": [
{}
],
"performance": {
"cr": "<string>",
"ar": "<string>",
"epc": "<string>"
},
"localized_descriptions": [
{}
]
}
}
}{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}{
"message": "API key is invalid or missing.",
"success": false
}{
"message": "This endpoint is not available for your role.",
"success": false
}{
"message": "Resource not found.",
"success": false
}{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}Offers
Get offer details
Returns full offer details including localized descriptions, tags, categories, and traffic types.
GET
/
api
/
v2
/
network
/
offers
/
{id}
Get offer details
Authorizations
ApiKeyHeaderAuthApiKeyAuth
Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.
Path Parameters
Offer ID.
Was this page helpful?
⌘I